<div>
  <a routerLink="/">Home</a> -
  <a routerLink="/products">Products</a>
  <button *ngIf="user === undefined; else notConnected" routerLink="/login">Login</button>
  <ng-template #notConnected>
    <span>Hello {{user?.name}}</span>
    <button  (click)="onLogoutClicked()">Logout</button>
  </ng-template>
</div>
